JsonNull (Gson 2.2.3 API)
Date: 2013-04-12

com.google.gson

## Class JsonNull

- java.lang.Object
- - com.google.gson.JsonElement
  - - com.google.gson.JsonNull

-     public final class JsonNull
      extends JsonElement

  A class representing a Json `null` value.
  Since:
    1.2
  Author:
    Inderjeet Singh, Joel Leitch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JsonNull` | `INSTANCE` singleton for JsonNull

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonNull()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` All instances of JsonNull are the same
    `int` | `hashCode()` All instances of JsonNull have the same hash code since they are indistinguishable

    - ### Methods inherited from class com.google.gson.JsonElement

      `getAsBigDecimal, getAsBigInteger, getAsBoolean, getAsByte, getAsCharacter, getAsDouble, getAsFloat, getAsInt, getAsJsonArray, getAsJsonNull, getAsJsonObject, getAsJsonPrimitive, getAsLong, getAsNumber, getAsShort, getAsString, isJsonArray, isJsonNull, isJsonObject, isJsonPrimitive, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final JsonNull INSTANCE

      singleton for JsonNull
      Since:
        1.8

  - ### Constructor Detail

    - #### JsonNull

          @Deprecated
          public JsonNull()

      Deprecated.
      Creates a new JsonNull object. Deprecated since Gson version 1.8. Use `INSTANCE` instead

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      All instances of JsonNull have the same hash code since they are indistinguishable
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      All instances of JsonNull are the same
      Overrides:
        `equals` in class `Object`

Copyright © 2008-2013 Google, Inc.. All Rights Reserved.